org.apache.olingo.odata2.jpa.processor.api.model

## Interface JPAEdmAssociationEndView

- All Superinterfaces:
    JPAEdmBaseView

      public interface JPAEdmAssociationEndView
      extends JPAEdmBaseView

  A view on Java Persistence Entity Relationship and Entity Data Model Association End.

  The implementation of the view provides access to EDM Association Ends created from Java Persistence Entity Relationships. The implementation acts as a container for Association Ends.

  See Also:
    `JPAEdmAssociationView`
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compare(AssociationEnd end1, AssociationEnd end2)` The method compares two ends {end1, end2} of an `AssociationEnd` against its two ends.
    `AssociationEnd` | `getEdmAssociationEnd1()` The method gets the other association end present in the container.
    `AssociationEnd` | `getEdmAssociationEnd2()` The method gets the one of the association ends present in the container.
    `String[]` | `getJoinColumnNames()`
    `String[]` | `getJoinColumnReferenceColumnNames()`
    `String` | `getMappedByName()`
    `String` | `getOwningPropertyName()`

    - ### Methods inherited from interface org.apache.olingo.odata2.jpa.processor.api.model.JPAEdmBaseView

      `clean, getBuilder, getJPAEdmExtension, getJPAEdmMappingModelAccess, getJPAMetaModel, getpUnitName, isConsistent, isDefaultNamingSkipped`

- - ### Method Detail

    - #### getEdmAssociationEnd2

          AssociationEnd getEdmAssociationEnd2()

      The method gets the one of the association ends present in the container.
      Returns:
        one of the `AssociationEnd` for an `Association`

    - #### getEdmAssociationEnd1

          AssociationEnd getEdmAssociationEnd1()

      The method gets the other association end present in the container.
      Returns:
        one of the `AssociationEnd` for an `Association`

    - #### compare

          boolean compare(AssociationEnd end1,
                          AssociationEnd end2)

      The method compares two ends {end1, end2} of an `AssociationEnd` against its two ends. The Method compares the following properties in each end for equality
      - `FullQualifiedName` of End Type
      - `EdmMultiplicity` of End
      Parameters:
        `end1` - one end of type `AssociationEnd` of an `Association`
        `end2` - other end of type `AssociationEnd` of an `Association`

      Returns:
        - true - Only if the properties of end1 matches with all the properties of any one end and only if the properties of end2 matches with all the properties of the remaining end
        - false - Otherwise

    - #### getJoinColumnNames

          String[] getJoinColumnNames()

    - #### getJoinColumnReferenceColumnNames

          String[] getJoinColumnReferenceColumnNames()

    - #### getMappedByName

          String getMappedByName()

    - #### getOwningPropertyName

          String getOwningPropertyName()

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.